Subject: Re: Log messages beginning # and git rebase -i

From: Junio C Hamano <[email-masked]>
Date: Wed, 29 Jul 2015 08:54:48 -0700

Matthieu Moy <[email-masked]> writes:

> Duy Nguyen <[email-masked]> writes:
>
>> On Wed, Jul 29, 2015 at 12:48 AM, Matthieu Moy
>> <[email-masked]> wrote:
>>>> If the user wants whatever she types in the resulting commit
>>>> literally, there is the "--cleanup=<choice>" option, no?
>>>
>>> $ GIT_EDITOR=touch git commit --cleanup=verbatim
>>> [detached HEAD 1b136a7] # Please enter the commit message for your
>>> changes. Lines starting # with '#' will be kept; you may remove
>>> them yourself if you want
>>> to. # An empty message aborts the commit. # HEAD detached from
>>> 5e70007 # Changes to be committed: # modified: foo.txt # # Changes
>>> not staged for commit
>>> : #     modified:   foo.txt # # Untracked files: #      last-synchro.txt #
>>>  1 file changed, 1 insertion(+), 1 deletion(-)
>>>
>>> You really don't want that in day-to-day use.

I do not quite follow this example.

The user said "I'll be responsible for cleaning up" by giving the
option.  It is up to the user to use an editor that is something a
bit more intelligent than "touch" to remove the instructional
comments meant for humans after reading them.

> 2) Modify Git to add scissors by default, and use --cleanup=scissors by
>    default.

I just did "$ git commit --amend --cleanup=scissors" (with and
without --amend) and it seems to do exactly that ;-).